Create a change-type bulk task(To be deprecated)
POST https://{handle}.myshopline.com/admin/openapi/v20261201/bulk_operation_run_mutation.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Execute bulk data operations by specifying a JSONL file URL, HTTP method, and target API.
DEPRECATED
This API is deprecated from API version v20250601.
Use the Create a bulk mutation task API instead.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
- mutation_path stringFull URL for SHOPLINE Admin API bulk mutation.
- file_url stringThe publicly accessible URL used to specify the file address for the mutation task. File format: JSON Lines.
- method stringHTTP method.
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
- createdAt stringThe date and time when the bulk task was created. Format: ISO 8601.Example:
2023-04-06T10:48:29+08:00 - partialDataUrl stringA URL to a file containing task processing results with an expiration time. Format: JSON Lines.
WhenstatusisCOMPLETED, this value is identical to theurlvalue. For other statuses, it may contain partial processing results.Example:https://sl-private-oss.oss-accelerate.aliyuncs.com/task-jsonline/prod/1/9b0c0f04-53cb-4ae3-94db-79af6ec193bd.jsonl?Expires=1754059510 - type stringThe type of the bulk task. Valid values are:
QUERY: Query operationMUTATION: Mutation operation, which refers to mutation operations executed through the Bulk operation mutation (to be Deprecated) API.MUTATION_GENERAL: Mutation operation
- url stringA URL to a file containing all task processing results with an expiration time. Format: JSON Lines.Example:
https://sl-private-oss.oss-accelerate.aliyuncs.com/task-jsonline/prod/1/9b0c0f04-53cb-4ae3-94db-79af6ec193bd.jsonl?Expires=1754059510 - completedAt stringThe date and time when the bulk task was completed. Format: ISO 8601.
- completedCount integerThe count of the completed bulk operations.
- errorCode stringThe error code of the bulk task. Valid values are:
ACCESS_DENIED: No access permissionTIMEOUT: Process timeoutNO_DATA: No data found
- expiredAt stringThe expiration date and time of the bulk task. Format: ISO 8601.
- id stringThe ID of the bulk task.
- reason stringThe reason for the bulk task execution exception.
- status stringThe status of the bulk task. Valid values are:
CANCELED:CanceledCANCELING:CancelingCOMPLETED:CompletedCREATED:CreatedEXPIRED:ExpiredFAILED:FailedRUNNING:Running
- storeId stringThe ID of the store.
API Explorer
Debugger
Was this article helpful to you?